#!/bin/sh

export LANG="C"
export LC_ALL="C"

psa_d="/usr/local/psa"
disable_script="$psa_d/var/MU27-ssl_v3_disable.sh"

prog="`basename $0`"
mu="`echo $prog | awk -F '-' '{print $1}'`"
mu_flag="$psa_d/var/${mu}-disable_sslv3.flag"
mysql_passwd="`cat /etc/psa/.psa.shadow`"

[ -f "$mu_flag" ] && exit 0

db_do()
{
	local query="$*"
	export MYSQL_PWD="$mysql_passwd" 
	echo "$query" | mysql -n -N -uadmin psa
	unset MYSQL_PWD
}

count="`db_do "select count(id) from domains" 2>/dev/null`"

# is upgrade if there is at least the one domain
[ -n "$count" -a $count -ge 1 ] && exit 0

# Disable SSLv3 if it is clean installation
$disable_script

touch $mu_flag

exit 0
